# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccessRule,
    AccessRuleProperties,
    AccessRulePropertiesSubscriptionsItem,
    AdminKeyResult,
    AsyncOperationResult,
    CheckNameAvailabilityInput,
    CheckNameAvailabilityOutput,
    CloudErrorBody,
    DataPlaneAadOrApiKeyAuthOption,
    DataPlaneAuthOptions,
    EncryptionWithCmk,
    Identity,
    IpRule,
    ListQueryKeysResult,
    NetworkRuleSet,
    NetworkSecurityPerimeter,
    NetworkSecurityPerimeterConfiguration,
    NetworkSecurityPerimeterConfigurationListResult,
    NetworkSecurityPerimeterConfigurationProperties,
    NetworkSecurityProfile,
    Operation,
    OperationDisplay,
    OperationListResult,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointConnectionProperties,
    PrivateEndpointConnectionPropertiesPrivateEndpoint,
    PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState,
    PrivateLinkResource,
    PrivateLinkResourceProperties,
    PrivateLinkResourcesResult,
    ProvisioningIssue,
    ProvisioningIssueProperties,
    ProxyResource,
    QueryKey,
    QuotaUsageResult,
    QuotaUsageResultName,
    QuotaUsagesListResult,
    Resource,
    ResourceAssociation,
    SearchManagementRequestOptions,
    SearchService,
    SearchServiceListResult,
    SearchServiceUpdate,
    ShareablePrivateLinkResourceProperties,
    ShareablePrivateLinkResourceType,
    SharedPrivateLinkResource,
    SharedPrivateLinkResourceListResult,
    SharedPrivateLinkResourceProperties,
    Sku,
    SystemData,
    TrackedResource,
    UserAssignedIdentity,
)

from ._search_management_client_enums import (  # type: ignore
    AadAuthFailureMode,
    AccessRuleDirection,
    ActionType,
    AdminKeyKind,
    ComputeType,
    CreatedByType,
    HostingMode,
    IdentityType,
    IssueType,
    NetworkSecurityPerimeterConfigurationProvisioningState,
    Origin,
    PrivateLinkServiceConnectionProvisioningState,
    PrivateLinkServiceConnectionStatus,
    ProvisioningState,
    PublicNetworkAccess,
    ResourceAssociationAccessMode,
    SearchBypass,
    SearchDataExfiltrationProtection,
    SearchEncryptionComplianceStatus,
    SearchEncryptionWithCmk,
    SearchSemanticSearch,
    SearchServiceStatus,
    Severity,
    SharedPrivateLinkResourceAsyncOperationResult,
    SharedPrivateLinkResourceProvisioningState,
    SharedPrivateLinkResourceStatus,
    SkuName,
    UnavailableNameReason,
    UpgradeAvailable,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccessRule",
    "AccessRuleProperties",
    "AccessRulePropertiesSubscriptionsItem",
    "AdminKeyResult",
    "AsyncOperationResult",
    "CheckNameAvailabilityInput",
    "CheckNameAvailabilityOutput",
    "CloudErrorBody",
    "DataPlaneAadOrApiKeyAuthOption",
    "DataPlaneAuthOptions",
    "EncryptionWithCmk",
    "Identity",
    "IpRule",
    "ListQueryKeysResult",
    "NetworkRuleSet",
    "NetworkSecurityPerimeter",
    "NetworkSecurityPerimeterConfiguration",
    "NetworkSecurityPerimeterConfigurationListResult",
    "NetworkSecurityPerimeterConfigurationProperties",
    "NetworkSecurityProfile",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointConnectionProperties",
    "PrivateEndpointConnectionPropertiesPrivateEndpoint",
    "PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState",
    "PrivateLinkResource",
    "PrivateLinkResourceProperties",
    "PrivateLinkResourcesResult",
    "ProvisioningIssue",
    "ProvisioningIssueProperties",
    "ProxyResource",
    "QueryKey",
    "QuotaUsageResult",
    "QuotaUsageResultName",
    "QuotaUsagesListResult",
    "Resource",
    "ResourceAssociation",
    "SearchManagementRequestOptions",
    "SearchService",
    "SearchServiceListResult",
    "SearchServiceUpdate",
    "ShareablePrivateLinkResourceProperties",
    "ShareablePrivateLinkResourceType",
    "SharedPrivateLinkResource",
    "SharedPrivateLinkResourceListResult",
    "SharedPrivateLinkResourceProperties",
    "Sku",
    "SystemData",
    "TrackedResource",
    "UserAssignedIdentity",
    "AadAuthFailureMode",
    "AccessRuleDirection",
    "ActionType",
    "AdminKeyKind",
    "ComputeType",
    "CreatedByType",
    "HostingMode",
    "IdentityType",
    "IssueType",
    "NetworkSecurityPerimeterConfigurationProvisioningState",
    "Origin",
    "PrivateLinkServiceConnectionProvisioningState",
    "PrivateLinkServiceConnectionStatus",
    "ProvisioningState",
    "PublicNetworkAccess",
    "ResourceAssociationAccessMode",
    "SearchBypass",
    "SearchDataExfiltrationProtection",
    "SearchEncryptionComplianceStatus",
    "SearchEncryptionWithCmk",
    "SearchSemanticSearch",
    "SearchServiceStatus",
    "Severity",
    "SharedPrivateLinkResourceAsyncOperationResult",
    "SharedPrivateLinkResourceProvisioningState",
    "SharedPrivateLinkResourceStatus",
    "SkuName",
    "UnavailableNameReason",
    "UpgradeAvailable",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
